import { ComputedRef, Ref } from '../../node_modules/vue';
import { WidgetData, WidgetParams } from "@widget-js/core";
interface UseWidgetOption<T extends WidgetData> {
    onDataLoaded?: (data?: T) => void;
    /**
     * 在使用浏览器调试时使用，必传参数有：id,name,widthPx,heightPx
     */
    debugParams?: WidgetParams;
    defaultData?: T;
    /**
     * 预览模式下显示的数据
     */
    previewData?: T;
    /**
     * 是否忽略组件id，只通过组件名获取数据
     */
    loadDataByWidgetName?: boolean;
    /**
     * 组件id，如果不传默认使用WidgetParams里的id
     */
    widgetId?: string;
    /**
     * 组件名，如果不传默认使用WidgetParams里的name
     */
    widgetName?: string;
}
interface UseWidgetReturn<T extends WidgetData> {
    widgetParams: WidgetParams;
    widgetData: Ref<T>;
    dataLoaded: Ref<boolean>;
    sizeStyle: ComputedRef<{
        width: string;
        height: string;
    }>;
}
export declare function useWidget<T extends WidgetData>(type: {
    new (name: string, id?: string): T;
}, option?: UseWidgetOption<T>): UseWidgetReturn<T>;
export declare function useWidgetScale(width: number, height: number, widgetWidth: number, widgetHeight: number): number;
export {};
//# sourceMappingURL=use-widget.d.ts.map